%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

Name:           helm
Version:        2.9.1
Release:        1.0.3%{?dist}
BuildArch:      x86_64
Summary:        The package manager for Kubernetes 
License:        Apache-2.0
Group:          System/Management
Url:            https://github.com/kubernetes/helm
Vendor:         Oracle America
Source:         helm-%{version}.tar.bz2
BuildRequires:  golang >= 1.6
BuildRequires:	glide
BuildRequires:	mercurial
Requires:       kubelet
Requires:	kubectl

#%{?systemd_requires}

%description
The package manager for Kubernetes

Helm helps you manage Kubernetes applications — 
Helm Charts helps you define, install, and upgrade 
even the most complex Kubernetes application.

Charts are easy to create, version, share, and publish — 
so start using Helm and stop the copy-and-paste madness.

%package -n helm-images
Summary: Contains Oracle built k8s helm images

%description -n helm-images
Contains Oracle built k8s helm images

%prep
%setup -q -n helm-%{version}
mkdir -p src/k8s.io/helm
mv $(ls | grep -v "^src$") src/k8s.io/helm

%build
export GOPATH=$(pwd)
export GOBIN=$GOPATH/bin
export PATH=$GOBIN:$PATH
pushd src/k8s.io/helm
glide cache-clear
make bootstrap build
./build-helm-images.sh %{version} bin
popd

%install
pushd src/k8s.io/helm
install -m 755 -d %{buildroot}%{_bindir}
install -p -m 755 -t %{buildroot}%{_bindir} bin/helm
install -p -m 755 -t %{buildroot}%{_bindir} bin/tiller
install -p -m 755 -t %{buildroot}%{_bindir} bin/protoc-gen-go
install -p -m 755 -t %{buildroot}%{_bindir} bin/rudder
popd
mv src/k8s.io/helm/LICENSE .

# Extra install commands for helm images
pushd src/k8s.io/helm
mkdir -p %{buildroot}/usr/local/share/helm
install -m 755 -d %{buildroot}/usr/local/share/helm 
install -p -m 755 -t %{buildroot}/usr/local/share/helm bin/tiller.tar
install -p -m 755 -t %{buildroot}/usr/local/share/helm bin/rudder.tar
popd

%files
%license LICENSE
%{_bindir}/helm
%{_bindir}/tiller
%{_bindir}/protoc-gen-go
%{_bindir}/rudder

%files -n helm-images
%license LICENSE
/usr/local/share/helm/tiller.tar
/usr/local/share/helm/rudder.tar

%changelog
* Mon Oct 15 2018 Daniel Krasinski <daniel.krasinski@oracle.com> - v2.9.1-1.0.3
- Added vendor information to package

* Mon Oct 15 2018 Daniel Krasinski <daniel.krasinski@oracle.com> - v2.9.1-1.0.2
- Release build

* Wed Jun 06 2018 Esha Wang <esha.wang@oracle.com> - v2.9.1-1.0.1.dev
- Update to v2.9.1

* Fri May 25 2018 Esha Wang <esha.wang@oracle.com> - v2.9.0-1.0.2.dev
- Added script build-helm-images.sh to build helm images

* Mon May 14 2018 Esha Wang <esha.wang@oracle.com> - v2.9.0-1.0.1.dev
- Update to v2.9.0

* Mon Apr 09 2018 Thomas Tanaka <thomas.tanaka@oracle.com> - v2.8.2-1.0.1.dev
- Update to v2.8.2
